<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="properties-list">
    <div class="ui grid" id="teamproperties">
      <div class="row">
        <div class="ui stackable five column grid">
          <div class="column" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_PROFILES_UPDATE)">
            <div class="zone column ui left pointing dropdown" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)">
              <a th:onclick="'modaladdproperty(' + ${team.id} + ');'">
                <i th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BIG_NEW}" style="padding-left: 40%;"></i>
              </a>
            </div>
          </div>
          <th:block th:each="item: ${team.properties}">
            <div class="column">
              <div class="ui card stackable">
                <div class="content">
                  <h4 class="ui header" th:text="${item.pk.property.name}"></h4>
                </div>
                <div class="extra content">
                  <span th:text="${item.value}"></span>
                  <a href="#">
                    <i class="trash red icon right floated right aligned column" th:onclick="'javascript:deleteProperty(\'' + ${item.pk.property.id} + '\', \'' + ${item.pk.team.id} + '\');'"></i>
                    <i class="edit icon right floated right aligned column" th:onclick="'javascript:editProperty(\'' + ${item.pk.property.id} + '\', \'' + ${item.pk.team.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                  </a>
                </div>
              </div>
            </div>
          </th:block>
        </div>
      </div>
    </div>
  </th:block>
</body>
</html>
